<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum FeedbackType: string
{
    use HasValues;

    case Kritik = 'kritik';
    case Saran = 'saran';
    case Aduan = 'aduan';

    public function label(): string
    {
        return match ($this) {
            self::Kritik => 'Kritik',
            self::Saran => 'Saran',
            self::Aduan => 'Aduan',
        };
    }
}
